{% include 'patterns/organisms/layout/navbar.html' %}
{% include 'patterns/molecules/header/simple_header.html' with simple_header_title='Lidé v pirátské straně' %}
<main role="main" class="mb-4 xl:mb-20">
  <div class="grid-container">
    <div class="grid-content">
      <p class="font-condensed text-xl leading-7 mb-5">
        {{ people_text }}
      </p>
    </div>
  </div>
  <div class="container--medium">
    <div class="__js-root">
      <ui-view-provider :initial="{candidates: true, program: false, other1: false, other2: false}" :sync-location="true"
                        v-slot="{ isCurrentView, toggleView }">
        <div class="flex justify-center mb-12">
          <ui-horizontal-scrollable>
            <div class="switch">
              <a @click="toggleView('candidates')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('candidates')}">{{ people_choice_1 }}</a>
              <a @click="toggleView('program')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('program')}">{{ people_choice_2 }}</a>
              <a @click="toggleView('other1')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('other1')}">{{ people_choice_3 }}</a>
              <a @click="toggleView('other2')" class="switch__item"
                 :class="{'switch__item--active': isCurrentView('other2')}">{{ people_choice_4 }}</a>
            </div>
          </ui-horizontal-scrollable>
        </div>
        <div class="flex flex-wrap gap-4">
          <template v-if="isCurrentView('candidates')">
              {% for content in people_candidates %}
                {% include 'patterns/molecules/contact/contact_person_large_box.html' with person_big_name=content.name person_big_function=content.function %}
               {% endfor %}
          </template>
          <template v-if="isCurrentView('program')">
            {% for content in people_program %}
              {% include 'patterns/molecules/contact/contact_person_large_box.html' with person_big_name=content.name person_big_function=content.function %}
            {% endfor %}
          </template>
          <template v-if="isCurrentView('other1')">
            {% for content in people_other_1 %}
              {% include 'patterns/molecules/contact/contact_person_large_box.html' with person_big_name=content.name person_big_function=content.function %}
            {% endfor %}
          </template>
          <template v-if="isCurrentView('other2')">
            {% for content in people_other_2 %}
                {% include 'patterns/molecules/contact/contact_person_large_box.html' with person_big_name=content.name person_big_function=content.function %}
            {% endfor %}
          </template>
        </div>
      </ui-view-provider>
    </div>
  </div>
</main>
{% include 'patterns/organisms/main_section/newsletter_section.html' %}
{% include 'patterns/organisms/layout/footer.html' %}
